Citrix Hypervisor

Cumulative Update 1

About this release

Citrix Hypervisor 8.2 CU1 is the first Cumulative Update for the Citrix Hypervisor 8.2 Long Term Service Release (LTSR). This article provides important information about the Citrix Hypervisor 8.2 CU1 release.

Citrix Hypervisor 8.2 CU1 is available in two commercial editions:

  • Premium Edition
  • Standard Edition

Citrix Hypervisor 8.2 CU1 and its subsequent hotfixes are available only to customers with Customer Success Services.

To receive these hotfixes through XenCenter, you must also install the latest version of XenCenter and obtain a client ID. For more information, see Authenticating your XenCenter to receive updates.

Support and maintenance

For Citrix Hypervisor 8.2 LTSR, support is available until Jun 25, 2025 on the latest cumulative update.

The Citrix Hypervisor 8.2 initial release is supported until Jun 12, 2022, which is six months following the release of Citrix Hypervisor 8.2 CU1. This support includes troubleshooting of issues and, where feasible, resolution of issues through applying configuration changes or existing product updates or upgrades.

For Citrix Hypervisor 8.2 LTSR, maintenance is available until Jun 25, 2025 on the latest cumulative update. This maintenance includes both critical and functional hotfixes.

Until Jun 12, 2022, we issue critical hotfixes for both Citrix Hypervisor 8.2 initial release and Citrix Hypervisor 8.2 CU1. We issue any functional hotfixes for Citrix Hypervisor 8.2 CU1 only.

For more information about support and maintenance, see Product Lifecycle Support Policy.

Included in Citrix Hypervisor 8.2 CU1

Citrix Hypervisor 8.2 CU1 rolls-up all previously issued Citrix Hypervisor 8.2 hotfixes and simultaneously introduces new fixes for issues reported on Citrix Hypervisor 8.2. For more information, see Fixed issues in Citrix Hypervisor 8.2 CU1.

Some performance or non-functional improvements are also included. For more information, see Improvements in Citrix Hypervisor 8.2 CU1.

To minimize changes within the LTSR product, no additional features are included in Citrix Hypervisor 8.2 CU1.

Improvements in Citrix Hypervisor 8.2 CU1

In addition to the rolled-up hotfixes, Citrix Hypervisor 8.2 CU1 includes some performance or non-functional improvements that are available for all licensed LTSR customers.

XenServer Conversion Manager 8.3.1

XenServer Conversion Manager 8.3.1 - the latest version of the XenServer Conversion Manager virtual appliance - allows you to convert VMs in parallel, enabling you to migrate your entire VMware environment to XenServer quickly and efficiently. You can convert up to 10 VMware VMs at the same time.

For more information on how to use the XenServer Conversion Manager, see Convert VMware workloads.

Citrix VM Tools for Linux 8.2.1-1

Citrix VM Tools for Linux 8.2.1-1 adds support for Red Hat Enterprise Linux 9.

Note:

You cannot use the Dynamic Memory Control (DMC) feature on Red Hat Enterprise Linux 9 VMs as Red Hat does not support memory ballooning with the Xen hypervisor.

For more information, see Install Citrix VM Tools for Linux.

Support for kdump and kexec in Linux VMs

The kdump utility and kexec command are now supported on Linux VMs running on Citrix Hypervisor.

Cipher suite changes

To improve security, weaker cipher suites have been removed from the list of cipher suites that are supported for SSH communication. For information about the cipher suites that are now supported, see Communicate with Citrix Hypervisor servers and resource pools.

Improved jumbo frames support

Jumbo frames are now supported for traffic on VM networks. For more information, see Jumbo frames.

Authenticated download of updates

To provide a more secure service for hotfix downloads, XenCenter now requires that you authenticate it with Citrix to automatically download and apply hotfixes.

To receive these hotfixes through XenCenter, you must also install the latest version of XenCenter and obtain a client ID JSON file. For more information, see Authenticating your XenCenter to receive updates.

Automated Updates in XenCenter

Automated Updates were previously restricted to Citrix Hypervisor Premium Edition customers or Citrix Virtual Apps and Desktops customers. However, in pools with hotfix XS82ECU1053 applied, this feature is available to all users. For more information, see Authenticating your XenCenter to receive updates.

XenCenter PuTTY update

The version of PuTTY embedded in XenCenter 8.2.4 and later is updated to 0.76.

Changes to guest operating system support

For the full list of supported guest operating systems in Citrix Hypervisor 8.2 Cumulative Update 1, see Guest operating system support.

Important:

Support for all paravirtualized (PV) VMs was removed in Citrix Hypervisor 8.1. However, in Citrix Hypervisor 8.2 Cumulative Update 1 and later, unsupported 32-bit PV VMs are prevented from starting. Ensure that you do not have any 32-bit PV VMs in your environment before upgrading to Citrix Hypervisor 8.2 CU 1.

Added

Citrix Hypervisor 8.2 CU1 now supports the following new guests:

  • Windows Server 2022 (with the latest XenServer VM Tools for Windows)

    Note:

    At release of Citrix Hypervisor 8.2 Cumulative Update 1, Windows Server 2022 has not been validated on this platform with the Server Virtualization Validation Program (SVVP).

    Windows Server 2022 is supported for production use only with XenServer VM Tools for Windows version 9.2.1 or later installed. You can get the latest version of the XenServer VM Tools for Windows from the Citrix Hypervisor Product Download page

  • Rocky Linux 8
  • Gooroom 2
From hotfix XS82ECU1036 and onwards
  • Debian Bullseye 11
  • Ubuntu 22.04
From hotfix XS82ECU1046 and onwards
  • Red Hat Enterprise Linux 9 (with the latest Citrix VM Tools for Linux)
From hotfix XS82ECU1050 and onwards
  • Debian Bookworm 12 (with the latest Citrix VM Tools for Linux)
  • Rocky Linux 9 (with the latest Citrix VM Tools for Linux)
  • CentOS Stream 9 (with the latest Citrix VM Tools for Linux)

Removed

Citrix Hypervisor 8.2 CU1 no longer supports the following guests:

  • Windows Server 2012
  • Windows 8.1
  • Debian Jessie 8
  • Debian Stretch 9
  • Ubuntu 16.04
  • SUSE Linux Enterprise Desktop 12 SP3, 12 SP4
  • SUSE Linux Enterprise Desktop 15 SP3
  • SUSE Linux Enterprise Server 12 SP3
  • CentOS 8
  • Windows Server 2012 R2
  • Ubuntu 18.04
  • SUSE Linux Enterprise Server 12 SP4

Support for new processors

The following processors are now supported in Citrix Hypervisor 8.2 CU1:

  • Intel® Xeon® 84xx/64xx/54xx/44xx/34xx (Sapphire Rapids)

    • If you are installing on Sapphire Rapids hardware with four or more sockets, ensure that you use a base installation ISO that was released after Jun 1, 2023. The latest version of the ISO is available at the Citrix Hypervisor Product Download page.
    • If you are installing on an HPE ProLiant Gen11 server with Sapphire Rapids hardware, ensure that you use a base installation ISO that was released after Jun 1, 2023. The latest version of the ISO is available at the Citrix Hypervisor Product Download page.
    • If you are installing on Sapphire Rapids hardware not covered by the previous bullets, you can use any version of the ISO. However, if you use a version of the ISO that was released before Jun 1, 2023, ensure that you apply hotfix XS82ECU1026.
  • Intel® Xeon® E-23xx and E-23xxG Processors (Rocket Lake)

  • AMD EPYC™ 9xx4 (Zen4/Genoa)

For more information, see the Hardware Compatibility List.

Compatibility with Citrix Hypervisor 8.2 virtual appliances

You can use the Workload Balancing 8.3.0 and XenServer Conversion Manager 8.3.1 virtual appliances with your Citrix Hypervisor 8.2 CU1 pool. To use the latest virtual appliances with Citrix Hypervisor 8.2 CU1, ensure that you use the latest version of XenCenter provided with Citrix Hypervisor 8.2.

For information about the latest version of Workload Balancing, see What’s new in Workload Balancing. For information about the XenServer Conversion Manager, see Convert VMware workloads.

Installation options

Citrix Hypervisor 8.2 CU1 is available to download from the Citrix Hypervisor Product Download page in the following package:

  • Citrix Hypervisor 8.2 Cumulative Update 1 Base Installation ISO comprises both a base Citrix Hypervisor 8.2 installation and the fixes that make up the cumulative update. Use this ISO to create a fresh installation of Citrix Hypervisor 8.2 including CU1.

Notes:

Before beginning a fresh installation, review the System Requirements and Installation.

After installation of Citrix Hypervisor 8.2 CU1, the internal product version number is shown as 8.2.1.

Previously, an update ISO was provided for update from Citrix Hypervisor 8.2 to Citrix Hypervisor 8.2 Cumulative Update 1. Citrix Hypervisor 8.2 is no longer supported and the update ISO has been moved to the Prior Versions section of the downloads page.

Upgrade and update options

You cannot upgrade or update to Citrix Hypervisor 8.2 CU1 from earlier versions that are now out of support. Instead you must create a fresh installation. For more information, see Installing.

Optional components updated in Citrix Hypervisor 8.2 CU1

The following are new/updated optional components for the Citrix Hypervisor 8.2 CU1 release. All other optional components remain the same as those available with the Citrix Hypervisor 8.2 release.

Licensing

Upgrade your Citrix License Server to version 11.16 or higher in order to use all Citrix Hypervisor 8.2 licensed features.

Note:

When upgrading to Citrix Hypervisor 8.2 Cumulative Update 1, we recommend that you transition from using Citrix License Server virtual appliance to using the Windows-based Citrix License Server. The Citrix License Server virtual appliance is no longer supported.

For more information about Citrix Hypervisor 8.2 licensing, see Licensing Overview.

Interoperability with Citrix products

Citrix Hypervisor 8.2 CU1 is interoperable with the following Citrix Virtual Apps and Desktops versions:

  • Citrix Virtual Apps and Desktops 2203
  • Citrix Virtual Apps and Desktops 2112
  • Citrix Virtual Apps and Desktops 1912 LTSR
  • Citrix Virtual Apps and Desktops orchestrated by using Citrix Cloud.

We recommend that you use this Citrix Hypervisor LTSR with a Citrix Virtual Apps and Desktops LTSR.

Citrix Hypervisor 8.2 CU1 is also supported with Citrix Provisioning 2112 and 1912 LTSR.

Localization support

The localized versions of XenCenter (Simplified Chinese and Japanese) are also available in this release.

Product documentation

To access Citrix Hypervisor 8.2 LTSR product documentation, see Citrix Hypervisor Product Documentation.